doc: wrong parameter of NotificationPublisher in the notifications document

Bug #1836005 reported by Takashi NATSUME on 2019-07-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Medium
Takashi NATSUME
Queens
Low
Matt Riedemann
Rocky
Low
Takashi NATSUME
Stein
Low
Takashi NATSUME

Bug Description

This bug tracker is for errors with the documentation, use the following as a template and remove or add fields as you see fit. Convert [ ] into [x] to check boxes:

- [X] This doc is inaccurate in this way:

It can be created by instantiating the NotificationPublisher object with a host and a binary string parameter

'binary' should be 'source'.

- [ ] This is a doc addition request.
- [ ] I have a fix to the document that I can paste below including example: input and output.

If you have a troubleshooting or support issue, use the following resources:

 - Ask OpenStack: http://ask.openstack.org
 - The mailing list: http://lists.openstack.org
 - IRC: 'openstack' channel on Freenode

-----------------------------------
Release: on 2019-06-05 13:10:03
SHA: 93cae754cff2317a3ba84267e805a2e317960d4f
Source: https://opendev.org/openstack/nova/src/doc/source/reference/notifications.rst
URL: https://docs.openstack.org/nova/latest/reference/notifications.html

Fix proposed to branch: master
Review: https://review.opendev.org/669993

Changed in nova:
status: New → In Progress
summary: - doc: wrong parameter of NotificationPublisherin the notifications
+ doc: wrong parameter of NotificationPublisher in the notifications
document
tags: added: notifications

Reviewed: https://review.opendev.org/669993
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=de31466fdb09dd367b23660f71b4ca06f83271a2
Submitter: Zuul
Branch: master

commit de31466fdb09dd367b23660f71b4ca06f83271a2
Author: Takashi NATSUME <email address hidden>
Date: Wed Jul 10 16:06:22 2019 +0900

    doc: Fix a parameter of NotificationPublisher

    The 'binary' parameter has been changed to the 'source'
    since I95b5b0826190d396efe7bfc017f6081a6356da65.
    But the notification document has not been updated yet.

    Replace the 'binary' parameter with the 'source' parameter.

    Change-Id: I141c90ac27d16f2e9c033bcd2f95ac08904a2f52
    Closes-Bug: #1836005

Changed in nova:
status: In Progress → Fix Released
Matt Riedemann (mriedem) on 2019-07-24
Changed in nova:
importance: Undecided → Medium

Reviewed: https://review.opendev.org/670064
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=5ba20d128cd0dee8b9b2a429a71e1bac5b0220df
Submitter: Zuul
Branch: stable/stein

commit 5ba20d128cd0dee8b9b2a429a71e1bac5b0220df
Author: Takashi NATSUME <email address hidden>
Date: Wed Jul 10 16:06:22 2019 +0900

    doc: Fix a parameter of NotificationPublisher

    The 'binary' parameter has been changed to the 'source'
    since I95b5b0826190d396efe7bfc017f6081a6356da65.
    But the notification document has not been updated yet.

    Replace the 'binary' parameter with the 'source' parameter.

    Change-Id: I141c90ac27d16f2e9c033bcd2f95ac08904a2f52
    Closes-Bug: #1836005
    (cherry picked from commit de31466fdb09dd367b23660f71b4ca06f83271a2)

Reviewed: https://review.opendev.org/670225
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=7793f4d759d35841848597e27faadb1903df21e9
Submitter: Zuul
Branch: stable/rocky

commit 7793f4d759d35841848597e27faadb1903df21e9
Author: Takashi NATSUME <email address hidden>
Date: Wed Jul 10 16:06:22 2019 +0900

    doc: Fix a parameter of NotificationPublisher

    The 'binary' parameter has been changed to the 'source'
    since I95b5b0826190d396efe7bfc017f6081a6356da65.
    But the notification document has not been updated yet.

    Replace the 'binary' parameter with the 'source' parameter.

    Conflicts:
        doc/source/reference/notifications.rst

        A conflict is due to not including
        Icfebf894185fc83f5fa77e8e10a42ba9dbb37755
        in stable/rocky

    Change-Id: I141c90ac27d16f2e9c033bcd2f95ac08904a2f52
    Closes-Bug: #1836005
    (cherry picked from commit de31466fdb09dd367b23660f71b4ca06f83271a2)
    (cherry picked from commit 5ba20d128cd0dee8b9b2a429a71e1bac5b0220df)

Reviewed: https://review.opendev.org/670226
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=b6108ebb3f31fe835e2337d0a7449a69ab613c04
Submitter: Zuul
Branch: stable/queens

commit b6108ebb3f31fe835e2337d0a7449a69ab613c04
Author: Takashi NATSUME <email address hidden>
Date: Wed Jul 10 16:06:22 2019 +0900

    doc: Fix a parameter of NotificationPublisher

    The 'binary' parameter has been changed to the 'source'
    since I95b5b0826190d396efe7bfc017f6081a6356da65.
    But the notification document has not been updated yet.

    Replace the 'binary' parameter with the 'source' parameter.

    Change-Id: I141c90ac27d16f2e9c033bcd2f95ac08904a2f52
    Closes-Bug: #1836005
    (cherry picked from commit de31466fdb09dd367b23660f71b4ca06f83271a2)
    (cherry picked from commit 5ba20d128cd0dee8b9b2a429a71e1bac5b0220df)
    (cherry picked from commit 7793f4d759d35841848597e27faadb1903df21e9)

This issue was fixed in the openstack/nova 19.0.2 release.

This issue was fixed in the openstack/nova 18.2.2 release.

This issue was fixed in the openstack/nova 17.0.12 release.

This issue was fixed in the openstack/nova 20.0.0.0rc1 release candidate.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers